Bug 519386 - [RHEL4.5] Even if a process have received data but schedule() in select() cannot return [rhel-4.8.z]
Summary: [RHEL4.5] Even if a process have received data but schedule() in select() can...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.5
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Vitaly Mayatskikh
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 494404
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-26 12:58 UTC by RHEL Product and Program Management
Modified: 2018-10-20 03:36 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Due to insufficient memory barriers in the network code, a process sleeping in select() may have missed notifications about new data. In rare cases, this bug may have caused a process to sleep forever.
Clone Of:
Environment:
Last Closed: 2009-10-22 15:09:39 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1522 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2009-10-22 15:09:25 UTC

Description RHEL Product and Program Management 2009-08-26 12:58:36 UTC
This bug has been copied from bug #494404 and has been proposed
to be backported to 4.8 z-stream (EUS).

Comment 3 Danny Feng 2009-09-29 02:33:24 UTC
committed in 89.0.12

Comment 7 errata-xmlrpc 2009-10-22 15:09:39 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1522.html

Comment 9 Douglas Silas 2011-01-30 23:27:10 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Due to insufficient memory barriers in the network code, a process sleeping in select() may have missed notifications about new data. In rare cases, this bug may have caused a process to sleep forever.


Note You need to log in before you can comment on or make changes to this bug.